# Discord Notifications for Drupal

## Overview

The Discord Notifications module sends real-time notifications to a Discord channel for various Drupal events. It provides site administrators with instant updates about content changes, user activities, system events, and security alerts.

## Features

- **Content Notifications**: Alerts for new content creation, updates, and deletions.
- **User Notifications**: Notifications for new user registrations, logins, and when users are blocked.
- **System Notifications**: Alerts for available Drupal core or module updates and completed cron runs.
- **Security Notifications**: Alerts for failed login attempts and password reset requests.
- **Customizable Settings**: Choose which types of notifications to send.
- **Discord Mentions**: Option to use @here or @everyone mentions in notifications.
- **Color-coded Embeds**: Visual distinction between different types of notifications in Discord.

## Requirements

- Drupal 8, 9, or 10
- A Discord server with permissions to create webhooks

## Installation

### Using Composer (recommended)

1. In your Drupal site's root directory, run the following command:
   ```
   composer require drupal/discord_notifications
   ```
2. Enable the module by running:
   ```
   drush en discord_notifications
   ```
   Or navigate to `Admin » Extend` and enable the "Discord Notifications" module.

### Manual Installation

If you're unable to use Composer:

1. Download the module and extract it to your Drupal installation's `modules` directory.
2. Navigate to `Admin » Extend` and enable the "Discord Notifications" module.

## Configuration

1. Go to `Admin » Configuration » System » Discord Notifications`.
2. Enter your Discord webhook URL.
3. Choose which types of notifications you want to enable.
4. Optionally, enable @here or @everyone mentions.
5. Save the configuration.

## Creating a Discord Webhook

1. In your Discord server, go to Server Settings » Integrations » Webhooks.
2. Click "New Webhook" and choose a channel for the notifications.
3. Copy the webhook URL and paste it into the module's configuration page.

## Contribution

Contributions to the Discord Notifications module are welcome! Please submit issues and pull requests on the project's GitHub page.

## Maintainers

- [Abderrahim GHAZALI] - https://www.drupal.org/u/abdei

## License

This project is licensed under the GNU General Public License v2.0 or later.
